# coding=utf-8
#
#   Copyright 2013 Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# -*- mode: python; encoding: utf-8; -*-

import xml.dom.minidom
import items
from form import AttrForm, TipoForm
import tipos

class Bens(items.Items):
    def __init__(self, contribuinte):
        contribuinte = contribuinte
        bens = contribuinte.dados.getElementsByTagName("bens")[0]
        items.Items.__init__(self, bens)
    def form(self, item):
        form = []
        form.append(AttrForm("Nome", "discriminacao", item))
        form.append(AttrForm("Valor Anterior", "valorExercicioAnterior", item))
        form.append(AttrForm("Valor Atual", "valorExercicioAtual", item))
        form.append(BensForm(item))
        return form

class tipoBens(tipos.Tipos):
    def __init__(self):
        tipos.Tipos.__init__(self, "tipoBens.xml", ["COL1", "COL2"])

class BensForm(TipoForm):
    def __init__(self, bem):
        TipoForm.__init__(self, "Tipo Bem", "codigo", bem, tipoBens(), (0, 1))

if __name__ == '__main__':
    import sys
    from contribuinte import Contribuinte

    contribuinte = Contribuinte(sys.argv[1])
    bens = Bens(contribuinte)
    print "anterior: " + bens.get_attr("totalExercicioAnterior")
    print "atual: " + bens.get_attr("totalExercicioAtual")

    for i in bens.items:
        print i.get_attr("valorExercicioAtual") + " " + i.get_attr("discriminacao")

# vim:tabstop=4:expandtab:smartindent
