# coding=utf-8
#
#   Copyright 2013 Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# -*- mode: python; encoding: utf-8; -*-

import xml.dom.minidom
import quadros

rendimentos = [
    (u"Lucros Recebidos", "lucroRecebidoQuadroAuxiliar"),
    (u"Parcela Isenta Aposentadoria", "parcIsentaAposentadoriaQuadroAuxiliar"),
    (u"Pensão", "pensaoQuadroAuxiliar"),
    (u"Poupança", "poupancaQuadroAuxiliar"),
    (u"Rendimento Sócio", "rendSocioQuadroAuxiliar"),
    (u"Transferências", "transferenciasQuadroAuxiliar"),
    (u"Rendimento Assalariado em Moeda Estrangeira", "rendAssalariadoMoedaEstrangeiraQuadroAuxiliar"),
    (u"Incorporação Reserva Capital", "incorporacaoReservaCapitalQuadroAuxiliar"),
    (u"Médicos Residentes", "medicosResidentesQuadroAuxiliar"),
    (u"Voluntários Copa", "voluntariosCopaQuadroAuxiliar"),
    (u"Meação Dissolução", "meacaoDissolucaoQuadroAuxiliar"),
    (u"Ganhos Líquidos Ações", "ganhosLiquidosAcoesQuadroAuxiliar"),
    (u"Ganhos Capital Ouro", "ganhosCapitalOuroQuadroAuxiliar"),
    (u"Outros", "outrosQuadroAuxiliar"),
    (u"Rendimentos Dependentes", "rendDependentesQuadroAuxiliar"),
]

class RendimentosIsentos(quadros.Quadros):
    def __init__(self, contribuinte):
        quadros.Quadros.__init__(self, contribuinte.dados.getElementsByTagName("rendIsentos")[0], rendimentos)

# vim:tabstop=4:expandtab:smartindent
