# coding=utf-8
#
#   Copyright 2013 Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# -*- mode: python; encoding: utf-8; -*-

import baseui
import contribuinte
import rendimentoPJ
import bens
import sys

def List(UI, L, display):
    exit = False
    while not exit:
        ls = []
        for i in L.items:
            d = i.get_attr(display)
            if d == None:
                d = ""
            ls.append(d)
        r = UI.list(ls)
        if r[1] == None:
            exit = True
        elif r[1] == 'add':
            UI.form(L.form(L.new_item()))
        elif r[1] == 'edit':
            UI.form(L.form(L.items[r[0] - 1]))
        elif r[1] == 'delete':
            L.remove_item(r[0] - 1)
    return True

def RendimentosPJ(UI, contrib):
    rend = rendimentoPJ.RendimentosPJ(contrib)
    return List(UI, rend, "nomeFontePagadora")

def DadosPessoais(UI, contrib):
    UI.form(contrib.form())
    return True

def Bens(UI, contrib):
    b = bens.Bens(contrib)
    return List(UI, b, "discriminacao")

def Salvar(UI, contrib):
    contrib.save()

def menu(UI, contrib):
    m = [ 
        "Sair",
        "Salvar",
        "Dados Pessoais",
        "Rendimentos PJ",
        "Bens",
        ]
    f = [
        None,
        Salvar,
        DadosPessoais,
        RendimentosPJ,
        Bens,
        ]
    exit = False
    while not exit:
        r = UI.menu(m)
        if r <= 0:
            exit = True
        else:
            f[r](UI, contrib)

def main():
    ret = False
    UI = baseui.BaseUI()
    while ret == False:
        cpf = UI.get_string("Digite seu CPF: ")
        try:
            contrib = contribuinte.Contribuinte(cpf)
            ret = menu(UI, contrib)
        except RuntimeError, e:
            print "CPF invalido"

if __name__ == '__main__':
    main()

# vim:tabstop=4:expandtab:smartindent
