# -*- mode: python; encoding: utf-8; -*-
import unittest
import sys
import os
import dirs
dirs.default_irpf_dir = dirs.IRPFTestDir()

from contribuinte import Contribuinte

class TestContribuinte(unittest.TestCase):

    def setUp(self):
        self.cpf = '34278161174'
        self.cpf_normalizado = '342.781.611-74'

        self.cpf_invalido = '34278161175'

        self.contribuinte = Contribuinte(self.cpf)

    def test_ValidarCPF(self):
        msg = 'Validação de CPF falhou!'
        self.assertTrue(self.contribuinte._validate_cpf(self.cpf), msg)
        self.assertFalse(self.contribuinte._validate_cpf(self.cpf_invalido), msg)

    def test_NormalizeCPF(self):
        msg = 'Normalização falhou'
        self.assertEqual(self.contribuinte._normalize_cpf(self.cpf),
                self.cpf_normalizado, msg)

    def test_MinimizarCPF(self):
        msg = 'Minimizar CPF falhou'
        self.assertEqual(self.contribuinte._minimize_cpf(self.cpf_normalizado),
                self.cpf, msg)

    def test_GetCampoContribuiente(self):
        self.assertEqual(self.contribuinte.get_campo_contribuinte('cep'),
                '31230-120')
        self.assertEqual(self.contribuinte.get_campo_contribuinte('nome'),
                'MARIA DA SILVA DE SOUZA')

if __name__ == '__main__':
    unittest.main()

# vim:tabstop=4:expandtab:smartindent:fenc=utf8
