# -*- mode: python; encoding: utf-8; -*-
import unittest
import sys
import os

myPath = os.path.dirname(os.path.abspath(__file__))
sys.path.insert(0, myPath + '/../src')

from municipios import Municipios

class TestMunicipios(unittest.TestCase):

    def setUp(self):
        self.municipios = Municipios()

        self.municipios.carregar_estado('MG')
        self.belo_horizonte = self.municipios.get_municipio('4123')

        self.municipios.carregar_estado('SP')
        self.sao_paulo = self.municipios.get_municipio('7107')

    def test_VerifyCEP(self):
        self.assertTrue(self.municipios.verify_cep(self.belo_horizonte, '31230120'))
        self.assertFalse(self.municipios.verify_cep(self.belo_horizonte, '05020000'))

        self.assertTrue(self.municipios.verify_cep(self.sao_paulo, '05020000'))
        self.assertFalse(self.municipios.verify_cep(self.sao_paulo, '31230120'))


if __name__ == '__main__':
    unittest.main()

# vim:tabstop=4:expandtab:smartindent:fenc=utf8
